<?php 
include("header.php"); // memanggil file header.php
include("koneksi.php"); // memanggil file koneksi.php untuk koneksi ke database
?>
	<div class="container">
		<div class="content">
			<h2>Data Peminatan Online</h2>
			<hr />
			
			
			<div class="table-responsive">
				<table class="table table-striped table-hover">
				<tr>
				<th>
			<!-- bagian ini untuk memfilter data berdasarkan kelompok -->
			<form class="form-inline" method="get">
				<div class="form-group">
					<select name="filter" class="form-control" onchange="form.submit()">
						<option value="1">Filter Urutan</option>
						<?php $filter = (isset($_GET['filter']) ? strtolower($_GET['filter']) : NULL);  ?>
						
						<option value="PENDING" <?php if($filter == 'PENDING'){ echo 'selected'; } ?>>PENDING</option>
						
                        
						
					</select>
				</div>
			</form> <!-- end filter -->
			</th>
			
			<br />
			<!-- memulai tabel responsive -->
			<div class="table-responsive">
				<table class="table table-striped table-hover">
					<tr>
						<th>No</th>
						<th>Tanggal Daftar</th>
						<th>Nama</th>
						<th>Status</th>
						<th>Lihat</th>
						
						
						
						
					</tr>
					<?php
					if($filter){
						$sql = mysqli_query($koneksi, "SELECT * FROM peminatan_online WHERE status='$filter' ORDER BY nama ASC"); // query jika filter dipilih
					}
					else {
						$sql = mysqli_query($koneksi, "SELECT * FROM peminatan_online where status='PENDING'"); // jika tidak ada filter maka tampilkan semua entri
					}
					if(mysqli_num_rows($sql) == 0){ 
						echo '<tr><td colspan="14">Data Tidak Ada.</td></tr>'; // jika tidak ada entri di database maka tampilkan 'Data Tidak Ada.'
					}else{ // jika terdapat entri maka tampilkan datanya
						$no = 1; // mewakili data dari nomor 1
						while($row = mysqli_fetch_assoc($sql)){ // fetch query yang sesuai ke dalam array
							echo '

							<tr>
								<td>'.$no.'</td>
								<td>'.$row['tgl_daftar'].'</td>
								<td>'.$row['nama'].'</td>
								<TD>';
								if($row['status'] == 'BERHASIL'){
									echo '<span class="btn btn-primary">BERHASIL</span>';
								}
								else if ($row['status'] == 'ANTRI' ){
									echo '<span class="btn btn-warning">ANTRI</span>';
								}
								else if ($row['status'] == 'PENDING' ){
									echo '<a href="edit.php?nisn='.$row['nisn'].'" class="btn btn-danger">PENDING</a>';
								}
									echo '</td>
							
								
							</tr>
							';
							$no++; // mewakili data kedua dan seterusnya <a href="password.php?id_peminat='.$row['id_peminat'].'" title="Ganti Password" data-toggle="tooltip" class="btn btn-warning btn-sm"><span class="glyphicon glyphicon-refresh" aria-hidden="true"></span></a>
						}
					}
					?>
				</table>
			</div> <!-- /.table-responsive -->
		</div> <!-- /.content -->
	</div> <!-- /.container -->
<?php 
include("footer.php"); // memanggil file footer.php
?>